Subject: Re: bug#59730: gdb-mi.el: Local variables reordering

From: Eli Zaretskii <[email-masked]>
Date: Sat, 10 Dec 2022 15:29:14 +0200

> From: Gustaf Waldemarson <[email-masked]>
> Date: Thu, 8 Dec 2022 19:43:46 +0100
> Cc: [email-masked]
> 
> > I don't like making backwards-incompatible changes such as removing a
> > user option.  How about if the default value of
> > gdb-locals-table-row-config used the value of gdb-locals-value-limit
> > instead of a literal 100?
> 
> Done
> 
> >  "frame or window", right?
> 
> I had to do a double take on this to make sure I was using the right terminology,
> at least according to the Emacs GDB documentation
> (https://www.gnu.org/software/emacs/manual/html_node/emacs/GDB-User-Interface-Layout.html)
> it seems like it should be the "local variables buffer", so I changed the news entry
> to match that, hope that's alright.
> 
> >  Our conventions are to use two spaces between sentences.
> 
> Should be fixed now as well
> 
> > That value is incorrect, because the value was truncated at 100, due
> > to gdb-locals-value-limit, right?
> 
> Indeed, that was my bad and should be fixed now
> 
> >  I hope we won't need this paragraph.
> 
> Indeed, it is removed as requested
> 
> That should be everything I think, if there's anything else, please just say so,
> and thanks again for the feedback!

Thanks, I installed the changes on the master branch.

In the future please accompany the changes with a ChangeLog-style
description of actual changes in the changeset; see CONTRIBUTE for the
details and "git log" for examples.